$color1: rgba(48,199,107,255);
$color2: rgba(165,223,207,255);

$messageColor: #b847ff;
$messageColor2: #cbb1ff;

// Medium devices (tablets, less than 992px)
@media (max-width: 991.98px) {

    .phone-row{
        margin-right: 0;
        margin-left: 0;
        // .md-phone-ui{
        //     display: none;
        // }
    }

    .antialiased{
        .container{
            padding-bottom: 1rem;
            .md-iphone-x{
                // display: none;
                width: 415px;
                height: 815px;

                .chat-box{
                    padding-top: 0;

                    .chat-box-container {
                        padding-bottom: 0;
                    }
                }

                .action-button{
                    bottom: 0;

                    .control_offline{
                        position: relative;
                        bottom: 15px;
                    }

                    .offline{
                        .w-23{
                            width: 30% !important;
                        }
                    }

                    .online {
                        .w-73{
                            width: 68% !important;
                        }
                    }
                }
            }
        }
    }
}

// Small devices (landscape phones, less than 768px)
@media (max-width: 767.98px) {
    .container{
        padding-bottom: 1rem;
        .phone-row{
            margin-right: 0;
            margin-left: 0;
            .phone-ui{
                display: none;
            }
        }
    }

    .antialiased{
        .container{
            .iphone-x{
                .title-box{
                    .user-icon{
                        img{
                            width: 40% !important;
                        }
                    }
                    .middle-text{
                        .chat-group-title {
                            font-size: 14px;
                            font-weight: 600;
                            margin-bottom: 5px;
                        }

                        .mt-user-text {
                            font-size: 16px;
                        }
                    }
                }

                .chat-box{
                    padding-top: 0;

                    .chat-box-container{
                        padding-bottom: 0;
                    }

                    .message-wrapper{
                        .message{
                            .text{
                                padding: 3px 7px;
                                .player-name{
                                    font-size: 14px;
                                }

                                .message{
                                    font-size: 14px;
                                }
                            }
                        }
                    }

                    .justify-content-end{
                        .text-left{
                            font-size: 14px;
                        }
                    }
                }

                .action-button{
                    bottom: 0;
                    .opt-btn{
                        font-size: 12px;
                    }

                    .form-control, .btn{
                        font-size: .8rem;
                    }

                    .control_offline{
                        position: relative;
                        bottom: 15px;
                    }

                    .offline{
                        .w-23{
                            width: 30% !important;
                        }
                    }

                    .online {
                        .w-73{
                            width: 68% !important;
                        }
                    }
                }
            }
        }
    }
}

// Extra small devices (portrait phones, less than 576px)
@media (max-width: 575.98px) {
    .xs-phone-ui{
        .iphone-x-xs-device{
            display: none;
            .screen{
                .title-box{
                    padding: 10px 5px;
                    background-color: #333;
                    z-index: 20;
                    .middle-text{
                        text-align: left;
                        color: white;
                        .chat-group-title{
                            font-size: 16px;
                            font-weight: 600;
                            margin-bottom: 5px;
                        }
                        .dot {
                            height: 15px;
                            width: 15px;
                            background-color: teal;
                            border-radius: 50%;
                            display: inline-block;
                            top: 2px;
                            position: relative;
                        }

                        .mt-user-text{
                            margin-top: -3px;
                            padding-left: 5px;
                        }
                    }

                    .user-icon{
                        img{
                            margin-left: 10px;
                        }
                    }

                    .mt-2em{
                        margin-top: 2em;
                    }

                    .sound-icon{
                        i.fas{
                            color: white;
                            font-size: 1.3rem;
                            vertical-align: -webkit-baseline-middle;
                        }
                    }
                }

                .chat-box{
                    z-index: -10;
                    padding: 10px 5px;
                    text-align: left;
                    height: 79.5%;
                    overflow-y: auto;
                    overflow-x: hidden;
                    display: block;

                    .message-wrapper{
                        .message {
                            position: relative;
                            display: inline-block;
                            // background-image: url('/assets/phone-assets/message_green_bottom.png');
                            background-image:  linear-gradient(to right, $color1, $color2);
                            width: fit-content;
                            max-width: 100%;
                            margin-top: .5rem;
                            border-bottom-right-radius: 20px;
                            border-top-right-radius: 20px;
                            border-top-left-radius: 20px;

                            .text{
                                padding: 7px;
                                font-weight: 500;

                                .player-name{
                                    font-weight: 700;
                                    color: #667;
                                }

                                .message{
                                    line-height: normal;
                                }
                            }
                        }
                    }

                    .col-typing-wrapper{
                        // position: relative;
                        .typing-wrapper{
                            // display: none;
                            .typing{
                                position: relative;
                                top: 5px;
                                display: inline-flex;
                                background-image:  linear-gradient(to right, $messageColor, $messageColor2);
                                width: fit-content;
                                max-width: 100%;
                                padding: 5px;

                                .typing-type{
                                    padding-bottom: 5px;
                                }
                            }
                        }
                    }

                    .reply{
                        position: relative;
                        display: inline-block;
                        // background-image: url('/assets/phone-assets/message_white_middle.png');
                        background-color: white;
                        width: fit-content;
                        max-width: 100%;
                        // float: right;
                        margin-top: .5rem;
                        border-top-left-radius: 20px;
                        border-bottom-left-radius: 20px;
                        border-top-right-radius: 20px;

                        .text{
                            padding: 10px;
                            text-align: right;
                            font-weight: 600;
                        }
                    }

                    .eoc-wrapper{
                        display: none;
                        .eoc{
                            padding: 5px;
                            background-color: #666;
                            color: #c78100;
                            text-align: center;
                            font-size: 600;
                            margin-top: 10px;
                            margin-bottom: 5px;
                        }
                    }

                    .justify-content-start {
                        overflow-y: auto;
                    }

                    .chat_media_audio{
                        margin-top: .5rem;
                        margin-bottom: -5px;
                    }

                    .chat_media_video, .chat_media_picture{
                        margin-top: .5rem;
                    }
                }

                .action-button{
                    position: absolute;
                    bottom: 30px;
                    display: block;

                    .online{
                        display: none;
                        .form-control, .btn{
                            border-radius: 0;
                        }

                        .form-control{
                            border-top-left-radius: 15px;
                            border-bottom-left-radius: 15px;
                            cursor: pointer;
                        }

                        .btn-outline-success{
                            background-color: $color1;
                            border-top-right-radius: 15px;
                            border-bottom-right-radius: 15px;
                        }

                        .w-73{
                            width: 97.5% !important;
                        }
                    }

                    .offline{
                        .form-control, .btn{
                            border-radius: 0;
                        }

                        .form-control{
                            border-top-left-radius: 15px;
                            border-bottom-left-radius: 15px;
                            // cursor: pointer;
                            background-color: #6c757d;
                            color: white;
                            border-style: none;
                            opacity: 0.5;
                        }

                        .btn-secondary{
                            border-top-right-radius: 15px;
                            border-bottom-right-radius: 15px;
                            opacity: 0.95;
                        }

                        .w-23{
                            width: 38% !important;
                        }
                    }

                    .browse{
                        display: none;
                        .form-control, .btn{
                            border-radius: 0;
                        }

                        .form-control{
                            border-top-left-radius: 15px;
                            border-bottom-left-radius: 15px;
                            cursor: pointer;
                        }

                        .btn-outline-success{
                            background-color: $color1;
                            border-top-right-radius: 15px;
                            border-bottom-right-radius: 15px;
                        }

                        .w-73{
                            width: 97.5% !important;
                        }
                    }

                    .select_item{
                        display: none;
                        .form-control, .btn{
                            border-radius: 0;
                        }

                        .form-control{
                            border-top-left-radius: 15px;
                            border-bottom-left-radius: 15px;
                            cursor: pointer;
                        }

                        .btn-outline-success{
                            background-color: $color1;
                            border-top-right-radius: 15px;
                            border-bottom-right-radius: 15px;
                        }

                        .w-73{
                            width: 97.5% !important;
                        }

                        i{
                            color: white;
                            font-size: 23px;
                        }
                    }

                    .control{
                        padding: 5px;
                    }

                    .choices{
                        margin-top: 5px;
                        padding: 10px;
                        background-color: #667;
                        display: none;
                        .far{
                            font-size: 24px;
                        }

                        p{
                            font-weight: 600;
                            font-size: 16px;
                        }

                        hr{
                            margin-top: .5rem;
                            border: 1px solid #999;
                        }

                        .imessage{
                            .choice{
                                background-color: white;
                                padding: 5px;
                                text-align: left;
                                margin-bottom: .5rem;
                                cursor: pointer;
                                border-radius: 5px;
                            }
                        }
                    }
                }

                .back-button{
                    .back{
                        border: 1px solid #333;
                        position: absolute;
                        bottom: -75px;
                        width: 50%;
                        left: 22%;
                    }
                }
            }
        }
    }
}
